NX Open C++ Reference Guide
|
Represents a @link Features::IsoparametricCurves Features::IsoparametricCurves@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateIsoparametricCurvesBuilder Features::FeatureCollection::CreateIsoparametricCurvesBuilder @endlink <br>
Default values. More...
Public Types | |
enum | DirectionTypes { DirectionTypesIsoU, DirectionTypesIsoV, DirectionTypesIsoUV } |
Curve direction options. More... | |
enum | PlacementTypes { PlacementTypesUniform, PlacementTypesThroughPoints, PlacementTypesBetweenPoints } |
Curve creation options. More... | |
Public Member Functions | |
bool | Associative () |
Returns the associative state. | |
NXOpen::Features::GeometricConstraintDataManager * | ConstraintManager () |
Returns the constraint manager. | |
NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes | Direction () |
Returns the direction type Created in NX8.0.0. | |
bool | IsSpacingEnabled () |
Returns the is spacing enabled Created in NX8.0.0. | |
bool | IsSwitchDirection () |
Returns the is switch direction Created in NX8.0.0. | |
bool | IsUEnabled () |
Returns the is u enabled Created in NX8.0.0. | |
bool | IsVEnabled () |
Returns the is v enabled Created in NX8.0.0. | |
int | Number () |
Returns the number of curves Created in NX8.0.0. | |
NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes | Placement () |
Returns the placement type Created in NX8.0.0. | |
NXOpen::SelectDisplayableObject * | SelectObject () |
Returns the select object for faces Created in NX8.0.0. | |
void | SetActivePoints (const std::vector< NXOpen::Point * > &points, NXOpen::Point *masterPoint) |
Sets key points that are selected or will be moved Created in NX8.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative state. | |
void | SetDirection (NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes direction) |
Sets the direction type Created in NX8.0.0. | |
void | SetNumber (int number) |
Sets the number of curves Created in NX8.0.0. | |
void | SetPlacement (NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes placement) |
Sets the placement type Created in NX8.0.0. | |
void | SetSpacing (double spacing) |
Sets the spacing to use when spacing is enabled Created in NX8.0.0. | |
void | SetSpacingEnabled (bool isSpacingEnabled) |
Sets the is spacing enabled Created in NX8.0.0. | |
void | SetSwitchDirection (bool isSwitchDirection) |
Sets the is switch direction Created in NX8.0.0. | |
void | SetUEnabled (bool isUEnabled) |
Sets the is u enabled Created in NX8.0.0. | |
void | SetVEnabled (bool isVEnabled) |
Sets the is v enabled Created in NX8.0.0. | |
double | Spacing () |
Returns the spacing to use when spacing is enabled Created in NX8.0.0. | |
void | UpdateIsoparametricCurves () |
Sets key points that are selected or will be moved Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::IsoparametricCurves Features::IsoparametricCurves@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateIsoparametricCurvesBuilder Features::FeatureCollection::CreateIsoparametricCurvesBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
1 |
IsSpacingEnabled |
0 |
IsSwitchDirection |
0 |
IsUEnabled |
1 |
IsVEnabled |
0 |
Number |
5 |
Placement |
Uniform |
Spacing |
25 |
Created in NX8.0.0.
Curve direction options.
Curve creation options.
bool NXOpen::Features::IsoparametricCurvesBuilder::Associative | ( | ) |
Returns the associative state.
Disables feature creation when false
Created in NX8.0.0.
License requirements : None
NXOpen::Features::GeometricConstraintDataManager* NXOpen::Features::IsoparametricCurvesBuilder::ConstraintManager | ( | ) |
Returns the constraint manager.
Allows definition of key points to be used to control curve creation.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes NXOpen::Features::IsoparametricCurvesBuilder::Direction | ( | ) |
Returns the direction type
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::IsoparametricCurvesBuilder::IsSpacingEnabled | ( | ) |
Returns the is spacing enabled
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::IsoparametricCurvesBuilder::IsSwitchDirection | ( | ) |
Returns the is switch direction
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::IsoparametricCurvesBuilder::IsUEnabled | ( | ) |
Returns the is u enabled
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::IsoparametricCurvesBuilder::IsVEnabled | ( | ) |
Returns the is v enabled
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::IsoparametricCurvesBuilder::Number | ( | ) |
Returns the number of curves
Created in NX8.0.0.
License requirements : None
NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes NXOpen::Features::IsoparametricCurvesBuilder::Placement | ( | ) |
Returns the placement type
Created in NX8.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::IsoparametricCurvesBuilder::SelectObject | ( | ) |
Returns the select object for faces
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::IsoparametricCurvesBuilder::SetActivePoints | ( | const std::vector< NXOpen::Point * > & | points, |
NXOpen::Point * | masterPoint | ||
) |
Sets key points that are selected or will be moved
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
points | Key points |
masterPoint | Point which user actually moves to move a group of selected points |
void NXOpen::Features::IsoparametricCurvesBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative state.
Disables feature creation when false
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::IsoparametricCurvesBuilder::SetDirection | ( | NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes | direction | ) |
Sets the direction type
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | direction |
void NXOpen::Features::IsoparametricCurvesBuilder::SetNumber | ( | int | number | ) |
Sets the number of curves
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
number | number |
void NXOpen::Features::IsoparametricCurvesBuilder::SetPlacement | ( | NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes | placement | ) |
Sets the placement type
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
placement | placement |
void NXOpen::Features::IsoparametricCurvesBuilder::SetSpacing | ( | double | spacing | ) |
Sets the spacing to use when spacing is enabled
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
spacing | spacing |
void NXOpen::Features::IsoparametricCurvesBuilder::SetSpacingEnabled | ( | bool | isSpacingEnabled | ) |
Sets the is spacing enabled
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isSpacingEnabled | isspacingenabled |
void NXOpen::Features::IsoparametricCurvesBuilder::SetSwitchDirection | ( | bool | isSwitchDirection | ) |
Sets the is switch direction
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isSwitchDirection | isswitchdirection |
void NXOpen::Features::IsoparametricCurvesBuilder::SetUEnabled | ( | bool | isUEnabled | ) |
Sets the is u enabled
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isUEnabled | isuenabled |
void NXOpen::Features::IsoparametricCurvesBuilder::SetVEnabled | ( | bool | isVEnabled | ) |
Sets the is v enabled
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isVEnabled | isvenabled |
double NXOpen::Features::IsoparametricCurvesBuilder::Spacing | ( | ) |
Returns the spacing to use when spacing is enabled
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::IsoparametricCurvesBuilder::UpdateIsoparametricCurves | ( | ) |
Sets key points that are selected or will be moved
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")